Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Connector_Registry Class Reference

@brief. More...

`#include <Transport.h>`

Collaboration diagram for TAO_AV_Connector_Registry:

[legend]
List of all members.

## Public Methods
| TAO_AV_Connector_Registry (void)
| int connect (TAO_FlowSpec_Entry *flowspec, TAO_AV_Transport *&transport); TAO_AV_Connector *get_connector (TAO_AV_Core::Protocol protocol); Return the connector bridges. More...
| ~TAO_AV_Connector_Registry (void)
int | open (TAO_Base_StreamEndPoint *endpoint, TAO_AV_Core *av_core, TAO_AV_FlowSpecSet &flow_spec_set)
int | close (TAO_AV_Connector *connector)
int | close_all (void)
TAO_AV_ConnectorSetItor | begin (void)
TAO_AV_ConnectorSetItor | end (void)
## Protected Attributes
TAO_AV_ConnectorSet | connectors_

## Detailed Description

@brief.

## Constructor & Destructor Documentation

TAO_AV_Connector_Registry::TAO_AV_Connector_Registry | ( | void |  | ) |

| int connect (TAO_FlowSpec_Entry *flowspec, TAO_AV_Transport *&transport); TAO_AV_Connector *get_connector (TAO_AV_Core::Protocol protocol); Return the connector bridges.

TAO_AV_Connector_Registry::~TAO_AV_Connector_Registry | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE TAO_AV_ConnectorSetItor TAO_AV_Connector_Registry::begin | ( | void |  | ) |

int TAO_AV_Connector_Registry::close | ( | TAO_AV_Connector * | connector | ) |

int TAO_AV_Connector_Registry::close_all | ( | void |  | ) |

ACE_INLINE TAO_AV_ConnectorSetItor TAO_AV_Connector_Registry::end | ( | void |  | ) |

int TAO_AV_Connector_Registry::open | ( | TAO_Base_StreamEndPoint * | endpoint,
|  | TAO_AV_Core * | av_core,
|  | TAO_AV_FlowSpecSet & | flow_spec_set
| ) |

## Member Data Documentation

TAO_AV_ConnectorSet TAO_AV_Connector_Registry::connectors_`[protected]`

The documentation for this class was generated from the following files:

- Transport.h
- Transport.cpp
- Transport.i